# MethodMappedController Class Reference
[Spring-like webflow tools]

Inheritance diagram for MethodMappedController:
[legend]

List of all members.

## Public Member Functions

| handleRequest (HttpRequest $request)
| chooseAction (HttpRequest $request)
| setMethodMapping ($action, $methodName)
| dropMethodMapping ($action)
| getMethodMapping ()
| setDefaultAction ($action)
| setMethodMappingList ($array)
| getDefaultAction ()

## Private Attributes

| $methodMap = array()
| $defaultAction = null

## Detailed Description

Definition at line 15 of file MethodMappedController.class.php.

## Member Function Documentation

MethodMappedController::chooseAction | ( | HttpRequest $ | request | ) |

Definition at line 43 of file MethodMappedController.class.php.

References Primitive::choice(), Form::create(), HttpRequest::getAttached(), HttpRequest::getGet(), and HttpRequest::getPost().

Referenced by handleRequest().

Here is the call graph for this function:

MethodMappedController::dropMethodMapping | ( | $ | action | ) |

Returns:
  MethodMappedController

Definition at line 74 of file MethodMappedController.class.php.

MethodMappedController::getDefaultAction | ( |  | ) |

Definition at line 107 of file MethodMappedController.class.php.

MethodMappedController::getMethodMapping | ( |  | ) |

Definition at line 81 of file MethodMappedController.class.php.

MethodMappedController::handleRequest | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Implements Controller.

Definition at line 23 of file MethodMappedController.class.php.

References chooseAction(), ModelAndView::create(), and Assert::isUnreachable().

Here is the call graph for this function:

MethodMappedController::setDefaultAction | ( | $ | action | ) |

Returns:
  MethodMappedController

Definition at line 89 of file MethodMappedController.class.php.

Referenced by PrototypedEditor::__construct().

MethodMappedController::setMethodMapping | ( | $ | action,
|  | $ | methodName |
| ) |  |  |

Returns:
  MethodMappedController

Definition at line 65 of file MethodMappedController.class.php.

Referenced by PrototypedEditor::__construct(), and setMethodMappingList().

MethodMappedController::setMethodMappingList | ( | $ | array | ) |

Returns:
  MethodMappedController

Definition at line 99 of file MethodMappedController.class.php.

References setMethodMapping().

Here is the call graph for this function:

## Member Data Documentation

MethodMappedController::$defaultAction = null`[private]`

Definition at line 18 of file MethodMappedController.class.php.

MethodMappedController::$methodMap = array()`[private]`

Definition at line 17 of file MethodMappedController.class.php.

The documentation for this class was generated from the following file:

- main/Flow/MethodMappedController.class.php